org.apache.commons.math3.optimization

## Class PointVectorValuePair

- java.lang.Object
- - org.apache.commons.math3.util.Pair<double[],double[]>
  - - org.apache.commons.math3.optimization.PointVectorValuePair

-     public class PointVectorValuePair
      extends Pair<double[],double[]>

  This class holds a point and the vectorial value of an objective function at that point.
  Since:
    3.0
  Version:
    $Id: PointVectorValuePair.java 1244107 2012-02-14 16:17:55Z erans $
  See Also:
    `PointValuePair`, `MultivariateVectorFunction`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PointVectorValuePair(double[] point, double[] value)` Builds a point/objective function value pair.
    `PointVectorValuePair(double[] point, double[] value, boolean copyArray)` Build a point/objective function value pair.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `getPoint()` Gets the point.
    `double[]` | `getPointRef()` Gets a reference to the point.
    `double[]` | `getValue()` Gets the value of the objective function.
    `double[]` | `getValueRef()` Gets a reference to the value of the objective function.

    - ### Methods inherited from class org.apache.commons.math3.util.Pair

      `equals, getKey, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PointVectorValuePair

          public PointVectorValuePair(double[] point,
                              double[] value)

      Builds a point/objective function value pair.
      Parameters:
        `point` - Point coordinates. This instance will store a copy of the array, not the array passed as argument.
        `value` - Value of the objective function at the point.

    - #### PointVectorValuePair

          public PointVectorValuePair(double[] point,
                              double[] value,
                              boolean copyArray)

      Build a point/objective function value pair.
      Parameters:
        `point` - Point coordinates.
        `value` - Value of the objective function at the point.
        `copyArray` - if `true`, the input arrays will be copied, otherwise they will be referenced.

  - ### Method Detail

    - #### getPoint

          public double[] getPoint()

      Gets the point.
      Returns:
        a copy of the stored point.

    - #### getPointRef

          public double[] getPointRef()

      Gets a reference to the point.
      Returns:
        a reference to the internal array storing the point.

    - #### getValue

          public double[] getValue()

      Gets the value of the objective function.
      Overrides:
        `getValue` in class `Pair<double[],double[]>`
      Returns:
        a copy of the stored value of the objective function.

    - #### getValueRef

          public double[] getValueRef()

      Gets a reference to the value of the objective function.
      Returns:
        a reference to the internal array storing the value of the objective function.

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.